Bug 258568 - sysutils/lockfile-progs: Update to 0.1.19
Summary: sysutils/lockfile-progs: Update to 0.1.19
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://tracker.debian.org/news/12553...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-18 07:23 UTC by Yasuhiro Kimura
Modified: 2021-09-22 08:11 UTC (History)
1 user (show)

See Also:


Attachments
Patch file (2.55 KB, patch)
2021-09-18 07:23 UTC, Yasuhiro Kimura
yasu: maintainer-approval+
Details | Diff
Updated patch file (2.57 KB, patch)
2021-09-21 19:46 UTC, Yasuhiro Kimura
yasu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2021-09-18 07:23:43 UTC
Created attachment 227973 [details]
Patch file

* Update to 0.1.19.
* Pet portclippy.

Change Log: https://tracker.debian.org/news/1255310/accepted-lockfile-progs-0119-source-into-unstable/
Comment 1 Nuno Teixeira freebsd_committer 2021-09-20 08:06:47 UTC
Hello,

Please use DISTVERSION instead of PORTVESION:
---
Example 2. Using DISTVERSION

When the version only contains numbers separated by dots, dashes or underscores, use DISTVERSION.
---
https://docs.freebsd.org/en/books/porters-handbook/makefiles/#makefile-naming
Comment 2 Yasuhiro Kimura freebsd_committer 2021-09-21 19:46:54 UTC
Created attachment 228104 [details]
Updated patch file

* Switch to DISTVERSION.
Comment 3 commit-hook freebsd_committer 2021-09-22 08:10:04 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6903d837b9fe028dbf7ed331b0571c0a64691ce3

commit 6903d837b9fe028dbf7ed331b0571c0a64691ce3
Author:     Yasuhiro Kimura <yasu@utahime.org>
AuthorDate: 2021-09-22 08:06:58 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-09-22 08:09:21 +0000

    sysutils/lockfile-progs: Update to 0.1.19

     - Use DISTVERSION instead of PORTVERSION

    ChangeLog: https://tracker.debian.org/news/1255310/accepted-lockfile-progs-0119-source-into-unstable/

    PR:             258568

 sysutils/lockfile-progs/Makefile             | 6 +++---
 sysutils/lockfile-progs/distinfo             | 6 +++---
 sysutils/lockfile-progs/files/patch-Makefile | 4 ++--
 3 files changed, 8 insertions(+), 8 deletions(-)
Comment 4 Nuno Teixeira freebsd_committer 2021-09-22 08:11:30 UTC
Committed thanks!